<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDepoimentosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('depoimentos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('autor', 255);
            $table->string('image', 255)->nullable();
            $table->string('empresa', 255)->nullable();
            $table->text('description_pt')->nullable();
            $table->text('description_es')->nullable();
            $table->text('description_en')->nullable();
            $table->timestamps();
        });

        Schema::table('depoimentos', function ($table) {
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('depoimentos');
    }
}
